Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.joyaop.impl
Class AspectRuntimeImpl

    java.lang.Object
      net.sf.joyaop.impl.AspectRuntimeImpl

All Implemented Interfaces:
  AspectRuntime, ObjectFactory

    public class AspectRuntimeImpl

extends java.lang.Object
implements AspectRuntime

Author:
  Shen Li

Constructor Summary
`AspectRuntimeImpl()`
`AspectRuntimeImpl(Configuration configuration)`
`AspectRuntimeImpl(Configuration configuration, AspectFactory aspectFactory)`

Method Summary
`void` | `addInterceptor(InterceptorAspect interceptorAspect)`
`void` | `addInterface(InterfaceAspect interfaceAspect)`
`void` | `addMixin(MixinAspect mixinAspect)`
`AspectFactory` | `getAspectFactory()`
`java.lang.Object` | `newInstance(java.lang.Class clazz)`
`java.lang.Object` | `newInstance(java.lang.Class clazz, java.lang.Class[] argTypes, java.lang.Object[] args)`
`java.lang.Object` | `newInstance(java.lang.String className)`
`java.lang.Object` | `newInstance(java.lang.String className, java.lang.Class[] argTypes, java.lang.Object[] args)`
`void` | `setAspectFactory(AspectFactory aspectFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AspectRuntimeImpl

    public AspectRuntimeImpl()

### AspectRuntimeImpl

    public AspectRuntimeImpl(Configuration configuration)

### AspectRuntimeImpl

    public AspectRuntimeImpl(Configuration configuration,
                             AspectFactory aspectFactory)

Method Detail

### newInstance

    public java.lang.Object newInstance(java.lang.Class clazz)

  Specified by:
    `newInstance` in interface `ObjectFactory`

### newInstance

    public java.lang.Object newInstance(java.lang.String className)

  Specified by:
    `newInstance` in interface `ObjectFactory`

### newInstance

    public java.lang.Object newInstance(java.lang.String className,
                                        java.lang.Class[] argTypes,
                                        java.lang.Object[] args)

  Specified by:
    `newInstance` in interface `ObjectFactory`

### newInstance

    public java.lang.Object newInstance(java.lang.Class clazz,
                                        java.lang.Class[] argTypes,
                                        java.lang.Object[] args)

  Specified by:
    `newInstance` in interface `ObjectFactory`

### addInterceptor

    public void addInterceptor(InterceptorAspect interceptorAspect)

  Specified by:
    `addInterceptor` in interface `AspectRuntime`

### addMixin

    public void addMixin(MixinAspect mixinAspect)

  Specified by:
    `addMixin` in interface `AspectRuntime`

### addInterface

    public void addInterface(InterfaceAspect interfaceAspect)

  Specified by:
    `addInterface` in interface `AspectRuntime`

### setAspectFactory

    public void setAspectFactory(AspectFactory aspectFactory)

  Specified by:
    `setAspectFactory` in interface `AspectRuntime`

### getAspectFactory

    public AspectFactory getAspectFactory()

  Specified by:
    `getAspectFactory` in interface `AspectRuntime`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD